Get Deployment Containers By Scope

Get Deployment Containers By Scope
Fetch deployment container for given vcenter

Retrieves available deployment containers (clusters, resource pools) for a specific vCenter. Enterprise administrators can view all deployment containers.

Request
URI
GET
https://{server}/hybridity/api/compute/{scopeId}/deploymentContainers
COPY
Path Parameters
string
scopeId
Required

This is vCenterInstanceUUID. Can be obtained from /hybridity/api/compute


Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

[
    {
        "isGlobal": true,
        "name": "name",
        "id": "id"
    }
]
array of object
Optional

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    application/json
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/compute/{scopeId}/deploymentContainers